Subject: Re: [bug#32547] [PATCH] hydra: Add support for manifests.

From: [email-masked] (Ludovic Courtès)
Date: Thu, 13 Sep 2018 10:34:34 +0200

Hi Clément,

Clément Lassieur <[email-masked]> skribis:

> * build-aux/hydra/gnu-system.scm (arguments->manifests, manifests->packages):
> New procedures.
> (hydra-jobs): Add a "manifests" subset.
> * doc/guix.texi (Continuous Integration): Update accordingly.

Thanks for pushing the patch, and sorry for not commenting earlier!  I
agree this can be very useful.

I’m slightly concerned about the complexity of this file.  Maybe
sometime down the road we could split it in several proper modules, like
(guix ci jobs) that would provide procedures to define “package jobs”,
“cross-compilation jobs”, and “VM jobs”.

Thoughts?

Ludo’.